Page MenuHomePhabricator

Value input for qualifiers doesn't get focused when clicking
Closed, ResolvedPublic

Description

  1. Add a qualifier to a statement by typing in a property name.
  2. Select the property in the entity suggester with your mouse.
  3. Notice that the input field for the value doesn't get focused.

It works correctly when selecting with keyboard.

Other/ easier way to reproduce:

  • Start adding a qualifier
  • Select a property
  • Select another property
  • Select the first property again: The value field is not focused,

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2016, 5:40 PM
Nikki added a subscriber: Nikki.Aug 27 2016, 8:06 PM
hoo claimed this task.Aug 28 2016, 9:59 PM
hoo updated the task description. (Show Details)

Change 307226 had a related patch set uploaded (by Hoo man):
Always break out of the stack to focus the Variation in Snakview

https://gerrit.wikimedia.org/r/307226

thiemowmde triaged this task as Lowest priority.Aug 30 2016, 12:42 PM
Tobi_WMDE_SW moved this task from Done to Review on the Wikidata-Sprint-2016-08-30 board.
Jonas closed this task as Resolved.Sep 27 2016, 10:13 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.

Change 307226 merged by jenkins-bot:
Always break out of the stack to focus the Variation in Snakview

https://gerrit.wikimedia.org/r/307226